> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUserFile as a base64 string

> Get the base64 string representation of an end user file



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_files/{heron_id}/file
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_files/{heron_id}/file:
    get:
      tags:
        - EndUserFiles
      summary: Get EndUserFile as a base64 string
      description: Get the base64 string representation of an end user file
      parameters:
        - description: The heron_id of the end user file
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserFileBase64Schema'
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserFileBase64Schema:
      properties:
        file_b64:
          type: string
        mime_type:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````